Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/chisquaredistr.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/chisquaredistr.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/chisquaredistr.cs	(revision 4068)
@@ -26,125 +26,119 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class chisquaredistr
-    {
-        /*************************************************************************
-        Chi-square distribution
+namespace alglib {
+  public class chisquaredistr {
+    /*************************************************************************
+    Chi-square distribution
 
-        Returns the area under the left hand tail (from 0 to x)
-        of the Chi square probability density function with
-        v degrees of freedom.
+    Returns the area under the left hand tail (from 0 to x)
+    of the Chi square probability density function with
+    v degrees of freedom.
 
 
-                                          x
-                                           -
-                               1          | |  v/2-1  -t/2
-         P( x | v )   =   -----------     |   t      e     dt
-                           v/2  -       | |
-                          2    | (v/2)   -
-                                          0
+                                      x
+                                       -
+                           1          | |  v/2-1  -t/2
+     P( x | v )   =   -----------     |   t      e     dt
+                       v/2  -       | |
+                      2    | (v/2)   -
+                                      0
 
-        where x is the Chi-square variable.
+    where x is the Chi-square variable.
 
-        The incomplete gamma integral is used, according to the
-        formula
+    The incomplete gamma integral is used, according to the
+    formula
 
-        y = chdtr( v, x ) = igam( v/2.0, x/2.0 ).
+    y = chdtr( v, x ) = igam( v/2.0, x/2.0 ).
 
-        The arguments must both be positive.
+    The arguments must both be positive.
 
-        ACCURACY:
+    ACCURACY:
 
-        See incomplete gamma function
+    See incomplete gamma function
 
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double chisquaredistribution(double v,
-            double x)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double chisquaredistribution(double v,
+        double x) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert((double)(x)>=(double)(0) & (double)(v)>=(double)(1), "Domain error in ChiSquareDistribution");
-            result = igammaf.incompletegamma(v/2.0, x/2.0);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert((double)(x) >= (double)(0) & (double)(v) >= (double)(1), "Domain error in ChiSquareDistribution");
+      result = igammaf.incompletegamma(v / 2.0, x / 2.0);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Complemented Chi-square distribution
+    /*************************************************************************
+    Complemented Chi-square distribution
 
-        Returns the area under the right hand tail (from x to
-        infinity) of the Chi square probability density function
-        with v degrees of freedom:
+    Returns the area under the right hand tail (from x to
+    infinity) of the Chi square probability density function
+    with v degrees of freedom:
 
-                                         inf.
-                                           -
-                               1          | |  v/2-1  -t/2
-         P( x | v )   =   -----------     |   t      e     dt
-                           v/2  -       | |
-                          2    | (v/2)   -
-                                          x
+                                     inf.
+                                       -
+                           1          | |  v/2-1  -t/2
+     P( x | v )   =   -----------     |   t      e     dt
+                       v/2  -       | |
+                      2    | (v/2)   -
+                                      x
 
-        where x is the Chi-square variable.
+    where x is the Chi-square variable.
 
-        The incomplete gamma integral is used, according to the
-        formula
+    The incomplete gamma integral is used, according to the
+    formula
 
-        y = chdtr( v, x ) = igamc( v/2.0, x/2.0 ).
+    y = chdtr( v, x ) = igamc( v/2.0, x/2.0 ).
 
-        The arguments must both be positive.
+    The arguments must both be positive.
 
-        ACCURACY:
+    ACCURACY:
 
-        See incomplete gamma function
+    See incomplete gamma function
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double chisquarecdistribution(double v,
-            double x)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double chisquarecdistribution(double v,
+        double x) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert((double)(x)>=(double)(0) & (double)(v)>=(double)(1), "Domain error in ChiSquareDistributionC");
-            result = igammaf.incompletegammac(v/2.0, x/2.0);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert((double)(x) >= (double)(0) & (double)(v) >= (double)(1), "Domain error in ChiSquareDistributionC");
+      result = igammaf.incompletegammac(v / 2.0, x / 2.0);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Inverse of complemented Chi-square distribution
+    /*************************************************************************
+    Inverse of complemented Chi-square distribution
 
-        Finds the Chi-square argument x such that the integral
-        from x to infinity of the Chi-square density is equal
-        to the given cumulative probability y.
+    Finds the Chi-square argument x such that the integral
+    from x to infinity of the Chi-square density is equal
+    to the given cumulative probability y.
 
-        This is accomplished using the inverse gamma integral
-        function and the relation
+    This is accomplished using the inverse gamma integral
+    function and the relation
 
-           x/2 = igami( df/2, y );
+       x/2 = igami( df/2, y );
 
-        ACCURACY:
+    ACCURACY:
 
-        See inverse incomplete gamma function
+    See inverse incomplete gamma function
 
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double invchisquaredistribution(double v,
-            double y)
-        {
-            double result = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double invchisquaredistribution(double v,
+        double y) {
+      double result = 0;
 
-            System.Diagnostics.Debug.Assert((double)(y)>=(double)(0) & (double)(y)<=(double)(1) & (double)(v)>=(double)(1), "Domain error in InvChiSquareDistribution");
-            result = 2*igammaf.invincompletegammac(0.5*v, y);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert((double)(y) >= (double)(0) & (double)(y) <= (double)(1) & (double)(v) >= (double)(1), "Domain error in InvChiSquareDistribution");
+      result = 2 * igammaf.invincompletegammac(0.5 * v, y);
+      return result;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/dawson.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/dawson.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/dawson.cs	(revision 4068)
@@ -26,131 +26,123 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class dawson
-    {
-        /*************************************************************************
-        Dawson's Integral
+namespace alglib {
+  public class dawson {
+    /*************************************************************************
+    Dawson's Integral
 
-        Approximates the integral
+    Approximates the integral
 
-                                    x
-                                    -
-                             2     | |        2
-         dawsn(x)  =  exp( -x  )   |    exp( t  ) dt
-                                 | |
-                                  -
-                                  0
+                                x
+                                -
+                         2     | |        2
+     dawsn(x)  =  exp( -x  )   |    exp( t  ) dt
+                             | |
+                              -
+                              0
 
-        Three different rational approximations are employed, for
-        the intervals 0 to 3.25; 3.25 to 6.25; and 6.25 up.
+    Three different rational approximations are employed, for
+    the intervals 0 to 3.25; 3.25 to 6.25; and 6.25 up.
 
-        ACCURACY:
+    ACCURACY:
 
-                             Relative error:
-        arithmetic   domain     # trials      peak         rms
-           IEEE      0,10        10000       6.9e-16     1.0e-16
+                         Relative error:
+    arithmetic   domain     # trials      peak         rms
+       IEEE      0,10        10000       6.9e-16     1.0e-16
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1989, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double dawsonintegral(double x)
-        {
-            double result = 0;
-            double x2 = 0;
-            double y = 0;
-            int sg = 0;
-            double an = 0;
-            double ad = 0;
-            double bn = 0;
-            double bd = 0;
-            double cn = 0;
-            double cd = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1989, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double dawsonintegral(double x) {
+      double result = 0;
+      double x2 = 0;
+      double y = 0;
+      int sg = 0;
+      double an = 0;
+      double ad = 0;
+      double bn = 0;
+      double bd = 0;
+      double cn = 0;
+      double cd = 0;
 
-            sg = 1;
-            if( (double)(x)<(double)(0) )
-            {
-                sg = -1;
-                x = -x;
-            }
-            if( (double)(x)<(double)(3.25) )
-            {
-                x2 = x*x;
-                an = 1.13681498971755972054E-11;
-                an = an*x2+8.49262267667473811108E-10;
-                an = an*x2+1.94434204175553054283E-8;
-                an = an*x2+9.53151741254484363489E-7;
-                an = an*x2+3.07828309874913200438E-6;
-                an = an*x2+3.52513368520288738649E-4;
-                an = an*x2+-8.50149846724410912031E-4;
-                an = an*x2+4.22618223005546594270E-2;
-                an = an*x2+-9.17480371773452345351E-2;
-                an = an*x2+9.99999999999999994612E-1;
-                ad = 2.40372073066762605484E-11;
-                ad = ad*x2+1.48864681368493396752E-9;
-                ad = ad*x2+5.21265281010541664570E-8;
-                ad = ad*x2+1.27258478273186970203E-6;
-                ad = ad*x2+2.32490249820789513991E-5;
-                ad = ad*x2+3.25524741826057911661E-4;
-                ad = ad*x2+3.48805814657162590916E-3;
-                ad = ad*x2+2.79448531198828973716E-2;
-                ad = ad*x2+1.58874241960120565368E-1;
-                ad = ad*x2+5.74918629489320327824E-1;
-                ad = ad*x2+1.00000000000000000539E0;
-                y = x*an/ad;
-                result = sg*y;
-                return result;
-            }
-            x2 = 1.0/(x*x);
-            if( (double)(x)<(double)(6.25) )
-            {
-                bn = 5.08955156417900903354E-1;
-                bn = bn*x2-2.44754418142697847934E-1;
-                bn = bn*x2+9.41512335303534411857E-2;
-                bn = bn*x2-2.18711255142039025206E-2;
-                bn = bn*x2+3.66207612329569181322E-3;
-                bn = bn*x2-4.23209114460388756528E-4;
-                bn = bn*x2+3.59641304793896631888E-5;
-                bn = bn*x2-2.14640351719968974225E-6;
-                bn = bn*x2+9.10010780076391431042E-8;
-                bn = bn*x2-2.40274520828250956942E-9;
-                bn = bn*x2+3.59233385440928410398E-11;
-                bd = 1.00000000000000000000E0;
-                bd = bd*x2-6.31839869873368190192E-1;
-                bd = bd*x2+2.36706788228248691528E-1;
-                bd = bd*x2-5.31806367003223277662E-2;
-                bd = bd*x2+8.48041718586295374409E-3;
-                bd = bd*x2-9.47996768486665330168E-4;
-                bd = bd*x2+7.81025592944552338085E-5;
-                bd = bd*x2-4.55875153252442634831E-6;
-                bd = bd*x2+1.89100358111421846170E-7;
-                bd = bd*x2-4.91324691331920606875E-9;
-                bd = bd*x2+7.18466403235734541950E-11;
-                y = 1.0/x+x2*bn/(bd*x);
-                result = sg*0.5*y;
-                return result;
-            }
-            if( (double)(x)>(double)(1.0E9) )
-            {
-                result = sg*0.5/x;
-                return result;
-            }
-            cn = -5.90592860534773254987E-1;
-            cn = cn*x2+6.29235242724368800674E-1;
-            cn = cn*x2-1.72858975380388136411E-1;
-            cn = cn*x2+1.64837047825189632310E-2;
-            cn = cn*x2-4.86827613020462700845E-4;
-            cd = 1.00000000000000000000E0;
-            cd = cd*x2-2.69820057197544900361E0;
-            cd = cd*x2+1.73270799045947845857E0;
-            cd = cd*x2-3.93708582281939493482E-1;
-            cd = cd*x2+3.44278924041233391079E-2;
-            cd = cd*x2-9.73655226040941223894E-4;
-            y = 1.0/x+x2*cn/(cd*x);
-            result = sg*0.5*y;
-            return result;
-        }
+      sg = 1;
+      if ((double)(x) < (double)(0)) {
+        sg = -1;
+        x = -x;
+      }
+      if ((double)(x) < (double)(3.25)) {
+        x2 = x * x;
+        an = 1.13681498971755972054E-11;
+        an = an * x2 + 8.49262267667473811108E-10;
+        an = an * x2 + 1.94434204175553054283E-8;
+        an = an * x2 + 9.53151741254484363489E-7;
+        an = an * x2 + 3.07828309874913200438E-6;
+        an = an * x2 + 3.52513368520288738649E-4;
+        an = an * x2 + -8.50149846724410912031E-4;
+        an = an * x2 + 4.22618223005546594270E-2;
+        an = an * x2 + -9.17480371773452345351E-2;
+        an = an * x2 + 9.99999999999999994612E-1;
+        ad = 2.40372073066762605484E-11;
+        ad = ad * x2 + 1.48864681368493396752E-9;
+        ad = ad * x2 + 5.21265281010541664570E-8;
+        ad = ad * x2 + 1.27258478273186970203E-6;
+        ad = ad * x2 + 2.32490249820789513991E-5;
+        ad = ad * x2 + 3.25524741826057911661E-4;
+        ad = ad * x2 + 3.48805814657162590916E-3;
+        ad = ad * x2 + 2.79448531198828973716E-2;
+        ad = ad * x2 + 1.58874241960120565368E-1;
+        ad = ad * x2 + 5.74918629489320327824E-1;
+        ad = ad * x2 + 1.00000000000000000539E0;
+        y = x * an / ad;
+        result = sg * y;
+        return result;
+      }
+      x2 = 1.0 / (x * x);
+      if ((double)(x) < (double)(6.25)) {
+        bn = 5.08955156417900903354E-1;
+        bn = bn * x2 - 2.44754418142697847934E-1;
+        bn = bn * x2 + 9.41512335303534411857E-2;
+        bn = bn * x2 - 2.18711255142039025206E-2;
+        bn = bn * x2 + 3.66207612329569181322E-3;
+        bn = bn * x2 - 4.23209114460388756528E-4;
+        bn = bn * x2 + 3.59641304793896631888E-5;
+        bn = bn * x2 - 2.14640351719968974225E-6;
+        bn = bn * x2 + 9.10010780076391431042E-8;
+        bn = bn * x2 - 2.40274520828250956942E-9;
+        bn = bn * x2 + 3.59233385440928410398E-11;
+        bd = 1.00000000000000000000E0;
+        bd = bd * x2 - 6.31839869873368190192E-1;
+        bd = bd * x2 + 2.36706788228248691528E-1;
+        bd = bd * x2 - 5.31806367003223277662E-2;
+        bd = bd * x2 + 8.48041718586295374409E-3;
+        bd = bd * x2 - 9.47996768486665330168E-4;
+        bd = bd * x2 + 7.81025592944552338085E-5;
+        bd = bd * x2 - 4.55875153252442634831E-6;
+        bd = bd * x2 + 1.89100358111421846170E-7;
+        bd = bd * x2 - 4.91324691331920606875E-9;
+        bd = bd * x2 + 7.18466403235734541950E-11;
+        y = 1.0 / x + x2 * bn / (bd * x);
+        result = sg * 0.5 * y;
+        return result;
+      }
+      if ((double)(x) > (double)(1.0E9)) {
+        result = sg * 0.5 / x;
+        return result;
+      }
+      cn = -5.90592860534773254987E-1;
+      cn = cn * x2 + 6.29235242724368800674E-1;
+      cn = cn * x2 - 1.72858975380388136411E-1;
+      cn = cn * x2 + 1.64837047825189632310E-2;
+      cn = cn * x2 - 4.86827613020462700845E-4;
+      cd = 1.00000000000000000000E0;
+      cd = cd * x2 - 2.69820057197544900361E0;
+      cd = cd * x2 + 1.73270799045947845857E0;
+      cd = cd * x2 - 3.93708582281939493482E-1;
+      cd = cd * x2 + 3.44278924041233391079E-2;
+      cd = cd * x2 - 9.73655226040941223894E-4;
+      y = 1.0 / x + x2 * cn / (cd * x);
+      result = sg * 0.5 * y;
+      return result;
     }
+  }
 }
Index: /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fdistr.cs
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fdistr.cs	(revision 4067)
+++ /trunk/sources/HeuristicLab.ExtLibs/HeuristicLab.ALGLIB/2.5.0/ALGLIB-2.5.0/fdistr.cs	(revision 4068)
@@ -26,172 +26,163 @@
 *************************************************************************/
 
-using System;
 
-namespace alglib
-{
-    public class fdistr
-    {
-        /*************************************************************************
-        F distribution
+namespace alglib {
+  public class fdistr {
+    /*************************************************************************
+    F distribution
 
-        Returns the area from zero to x under the F density
-        function (also known as Snedcor's density or the
-        variance ratio density).  This is the density
-        of x = (u1/df1)/(u2/df2), where u1 and u2 are random
-        variables having Chi square distributions with df1
-        and df2 degrees of freedom, respectively.
-        The incomplete beta integral is used, according to the
-        formula
+    Returns the area from zero to x under the F density
+    function (also known as Snedcor's density or the
+    variance ratio density).  This is the density
+    of x = (u1/df1)/(u2/df2), where u1 and u2 are random
+    variables having Chi square distributions with df1
+    and df2 degrees of freedom, respectively.
+    The incomplete beta integral is used, according to the
+    formula
 
-        P(x) = incbet( df1/2, df2/2, (df1*x/(df2 + df1*x) ).
+    P(x) = incbet( df1/2, df2/2, (df1*x/(df2 + df1*x) ).
 
 
-        The arguments a and b are greater than zero, and x is
-        nonnegative.
+    The arguments a and b are greater than zero, and x is
+    nonnegative.
 
-        ACCURACY:
+    ACCURACY:
 
-        Tested at random points (a,b,x).
+    Tested at random points (a,b,x).
 
-                       x     a,b                     Relative error:
-        arithmetic  domain  domain     # trials      peak         rms
-           IEEE      0,1    0,100       100000      9.8e-15     1.7e-15
-           IEEE      1,5    0,100       100000      6.5e-15     3.5e-16
-           IEEE      0,1    1,10000     100000      2.2e-11     3.3e-12
-           IEEE      1,5    1,10000     100000      1.1e-11     1.7e-13
+                   x     a,b                     Relative error:
+    arithmetic  domain  domain     # trials      peak         rms
+       IEEE      0,1    0,100       100000      9.8e-15     1.7e-15
+       IEEE      1,5    0,100       100000      6.5e-15     3.5e-16
+       IEEE      0,1    1,10000     100000      2.2e-11     3.3e-12
+       IEEE      1,5    1,10000     100000      1.1e-11     1.7e-13
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double fdistribution(int a,
-            int b,
-            double x)
-        {
-            double result = 0;
-            double w = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double fdistribution(int a,
+        int b,
+        double x) {
+      double result = 0;
+      double w = 0;
 
-            System.Diagnostics.Debug.Assert(a>=1 & b>=1 & (double)(x)>=(double)(0), "Domain error in FDistribution");
-            w = a*x;
-            w = w/(b+w);
-            result = ibetaf.incompletebeta(0.5*a, 0.5*b, w);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(a >= 1 & b >= 1 & (double)(x) >= (double)(0), "Domain error in FDistribution");
+      w = a * x;
+      w = w / (b + w);
+      result = ibetaf.incompletebeta(0.5 * a, 0.5 * b, w);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Complemented F distribution
+    /*************************************************************************
+    Complemented F distribution
 
-        Returns the area from x to infinity under the F density
-        function (also known as Snedcor's density or the
-        variance ratio density).
+    Returns the area from x to infinity under the F density
+    function (also known as Snedcor's density or the
+    variance ratio density).
 
 
-                             inf.
-                              -
-                     1       | |  a-1      b-1
-        1-P(x)  =  ------    |   t    (1-t)    dt
-                   B(a,b)  | |
-                            -
-                             x
+                         inf.
+                          -
+                 1       | |  a-1      b-1
+    1-P(x)  =  ------    |   t    (1-t)    dt
+               B(a,b)  | |
+                        -
+                         x
 
 
-        The incomplete beta integral is used, according to the
-        formula
+    The incomplete beta integral is used, according to the
+    formula
 
-        P(x) = incbet( df2/2, df1/2, (df2/(df2 + df1*x) ).
+    P(x) = incbet( df2/2, df1/2, (df2/(df2 + df1*x) ).
 
 
-        ACCURACY:
+    ACCURACY:
 
-        Tested at random points (a,b,x) in the indicated intervals.
-                       x     a,b                     Relative error:
-        arithmetic  domain  domain     # trials      peak         rms
-           IEEE      0,1    1,100       100000      3.7e-14     5.9e-16
-           IEEE      1,5    1,100       100000      8.0e-15     1.6e-15
-           IEEE      0,1    1,10000     100000      1.8e-11     3.5e-13
-           IEEE      1,5    1,10000     100000      2.0e-11     3.0e-12
+    Tested at random points (a,b,x) in the indicated intervals.
+                   x     a,b                     Relative error:
+    arithmetic  domain  domain     # trials      peak         rms
+       IEEE      0,1    1,100       100000      3.7e-14     5.9e-16
+       IEEE      1,5    1,100       100000      8.0e-15     1.6e-15
+       IEEE      0,1    1,10000     100000      1.8e-11     3.5e-13
+       IEEE      1,5    1,10000     100000      2.0e-11     3.0e-12
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double fcdistribution(int a,
-            int b,
-            double x)
-        {
-            double result = 0;
-            double w = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double fcdistribution(int a,
+        int b,
+        double x) {
+      double result = 0;
+      double w = 0;
 
-            System.Diagnostics.Debug.Assert(a>=1 & b>=1 & (double)(x)>=(double)(0), "Domain error in FCDistribution");
-            w = b/(b+a*x);
-            result = ibetaf.incompletebeta(0.5*b, 0.5*a, w);
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(a >= 1 & b >= 1 & (double)(x) >= (double)(0), "Domain error in FCDistribution");
+      w = b / (b + a * x);
+      result = ibetaf.incompletebeta(0.5 * b, 0.5 * a, w);
+      return result;
+    }
 
 
-        /*************************************************************************
-        Inverse of complemented F distribution
+    /*************************************************************************
+    Inverse of complemented F distribution
 
-        Finds the F density argument x such that the integral
-        from x to infinity of the F density is equal to the
-        given probability p.
+    Finds the F density argument x such that the integral
+    from x to infinity of the F density is equal to the
+    given probability p.
 
-        This is accomplished using the inverse beta integral
-        function and the relations
+    This is accomplished using the inverse beta integral
+    function and the relations
 
-             z = incbi( df2/2, df1/2, p )
-             x = df2 (1-z) / (df1 z).
+         z = incbi( df2/2, df1/2, p )
+         x = df2 (1-z) / (df1 z).
 
-        Note: the following relations hold for the inverse of
-        the uncomplemented F distribution:
+    Note: the following relations hold for the inverse of
+    the uncomplemented F distribution:
 
-             z = incbi( df1/2, df2/2, p )
-             x = df2 z / (df1 (1-z)).
+         z = incbi( df1/2, df2/2, p )
+         x = df2 z / (df1 (1-z)).
 
-        ACCURACY:
+    ACCURACY:
 
-        Tested at random points (a,b,p).
+    Tested at random points (a,b,p).
 
-                     a,b                     Relative error:
-        arithmetic  domain     # trials      peak         rms
-         For p between .001 and 1:
-           IEEE     1,100       100000      8.3e-15     4.7e-16
-           IEEE     1,10000     100000      2.1e-11     1.4e-13
-         For p between 10^-6 and 10^-3:
-           IEEE     1,100        50000      1.3e-12     8.4e-15
-           IEEE     1,10000      50000      3.0e-12     4.8e-14
+                 a,b                     Relative error:
+    arithmetic  domain     # trials      peak         rms
+     For p between .001 and 1:
+       IEEE     1,100       100000      8.3e-15     4.7e-16
+       IEEE     1,10000     100000      2.1e-11     1.4e-13
+     For p between 10^-6 and 10^-3:
+       IEEE     1,100        50000      1.3e-12     8.4e-15
+       IEEE     1,10000      50000      3.0e-12     4.8e-14
 
-        Cephes Math Library Release 2.8:  June, 2000
-        Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
-        *************************************************************************/
-        public static double invfdistribution(int a,
-            int b,
-            double y)
-        {
-            double result = 0;
-            double w = 0;
+    Cephes Math Library Release 2.8:  June, 2000
+    Copyright 1984, 1987, 1995, 2000 by Stephen L. Moshier
+    *************************************************************************/
+    public static double invfdistribution(int a,
+        int b,
+        double y) {
+      double result = 0;
+      double w = 0;
 
-            System.Diagnostics.Debug.Assert(a>=1 & b>=1 & (double)(y)>(double)(0) & (double)(y)<=(double)(1), "Domain error in InvFDistribution");
-            
-            //
-            // Compute probability for x = 0.5
-            //
-            w = ibetaf.incompletebeta(0.5*b, 0.5*a, 0.5);
-            
-            //
-            // If that is greater than y, then the solution w < .5
-            // Otherwise, solve at 1-y to remove cancellation in (b - b*w)
-            //
-            if( (double)(w)>(double)(y) | (double)(y)<(double)(0.001) )
-            {
-                w = ibetaf.invincompletebeta(0.5*b, 0.5*a, y);
-                result = (b-b*w)/(a*w);
-            }
-            else
-            {
-                w = ibetaf.invincompletebeta(0.5*a, 0.5*b, 1.0-y);
-                result = b*w/(a*(1.0-w));
-            }
-            return result;
-        }
+      System.Diagnostics.Debug.Assert(a >= 1 & b >= 1 & (double)(y) > (double)(0) & (double)(y) <= (double)(1), "Domain error in InvFDistribution");
+
+      //
+      // Compute probability for x = 0.5
+      //
+      w = ibetaf.incompletebeta(0.5 * b, 0.5 * a, 0.5);
+
+      //
+      // If that is greater than y, then the solution w < .5
+      // Otherwise, solve at 1-y to remove cancellation in (b - b*w)
+      //
+      if ((double)(w) > (double)(y) | (double)(y) < (double)(0.001)) {
+        w = ibetaf.invincompletebeta(0.5 * b, 0.5 * a, y);
+        result = (b - b * w) / (a * w);
+      } else {
+        w = ibetaf.invincompletebeta(0.5 * a, 0.5 * b, 1.0 - y);
+        result = b * w / (a * (1.0 - w));
+      }
+      return result;
     }
+  }
 }
